> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Share access to your mailbox or individual envelopes

> Delegate signing, send on behalf of another user, or share envelope inbox access using the shared access feature.

## Share individual envelopes

You can share individual envelopes securely with any users in your account using the Individual Envelope Sharing feature. This feature provides a simple way to share individual envelopes with other account users without also sharing your entire mailbox (as with [shared access to your mailbox](/docs/esign-rest-api/esign101/concepts/envelopes/share-access-to-mailbox-or-envelopes#shared-access-to-your-mailbox)) or using insecure workarounds such as emailing documents directly or using third-party services. This ensures that every collaborative action is tracked in the envelope’s history.

### Levels of access for shared envelopes

Users can assign specific permissions per share:

* **View**, which enables users to read and download the envelope.
* **Edit**, which enables users to correct, resend, void, read, and download the envelope.
* **Manage**, which enables users to edit and send a draft envelope as well as all of the above permissions.

The following example API call shares an envelope with another user in within an account:

```text
POST /restapi/v2.1/accounts/08b4799a-xxxx-xxxx-xxxx-b5b4b8a97604/envelopes/2a1a24ef-xxxx-xxxx-xxxx-3962899702af/shares

{
  "shares": [
    {
      "customMessage": "I’m sharing this example envelope with you",
      "permission": "view",
      "agentUser": {
        "accountId": "08b4799a-xxxx-xxxx-xxxx-b5b4b8a97604",
        "userId": "babe89bc-xxxx-xxxx-xxxx-c7a694be15b9"
      }
    }
  ]
}
```

Sharing individual envelopes is currently only supported by the Docusign eSignature API (UI support is in development) by calling the individual envelope sharing endpoints:

* [EnvelopeShares: createEnvelopesShares](/docs/esign-rest-api/reference/envelopes/envelopeshares/createenvelopesshares): Allows an eligible user to share the envelope with one or many users within the same account.
* [EnvelopeShares: updateEnvelopesShares](/docs/esign-rest-api/reference/envelopes/envelopeshares/updateenvelopesshares): Allows an eligible user to update the share access level for one or more users at a time.
* [EnvelopeShares: updateEnvelopesShare](/docs/esign-rest-api/reference/envelopes/envelopeshares/updateenvelopesshare): Allows an eligible user to update the single share access level for one user at a time.
* [EnvelopeShares: deleteEnvelopesShares](/docs/esign-rest-api/reference/envelopes/envelopeshares/deleteenvelopesshares): Allows the envelope owner or admin to revoke access for one or more users.
* [EnvelopeShares: deleteEnvelopesShare](/docs/esign-rest-api/reference/envelopes/envelopeshares/deleteenvelopesshare): Allows the envelope owner or admin to revoke access for one particular user.
* [EnvelopeShares: getEnvelopesShares](/docs/esign-rest-api/reference/envelopes/envelopeshares/getenvelopesshares): Allows the envelope owner or admin to retrieve all shares for a given envelope.
* [EnvelopeShares: getEnvelopesShare](/docs/esign-rest-api/reference/envelopes/envelopeshares/getenvelopesshare): Allows the envelope owner or admin to retrieve single share information for a given envelope.
* [EnvelopeShares: getSharedEnvelopes](/docs/esign-rest-api/reference/envelopes/envelopeshares/getsharedenvelopes): Returns a paginated list of envelopes that the user has access to through Individual Sharing or via Tickets/Agreement Desk. This endpoint also supports advanced search functionality across shared envelopes, supporting wildcard searches on subject, sender, and recipient fields.

### Agentic limitations and behavior

* Only the sender of an individual envelope or an account admin can share that envelope.
* A maximum of 100 agents are supported per API request.
* A maximum of 100 agents are supported per Envelope.
* Agents will receive email notification when the sender shares an envelope with them.
* Agents can use the emailed envelope share link and perform actions on the envelope based on permission level granted to their user.
* To perform an action on a shared envelope, agents must include the `?use_sharing=true` query parameter in every API request. For example:

  `GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}?use_sharing=true`

## Shared access to your mailbox

The mailbox shared access feature enables you to send and manage envelopes on behalf of other users in your account. Using shared access, you can manage an account user’s envelope inbox, send, and even [set up a delegate to sign envelopes on their behalf](https://support.docusign.com/s/document-item?rsc_301=\&bundleId=jux1643235969954\&topicId=bbk1637048103951.html). Shared access is often used for delegating work when a colleague is unavailable or for teams who use a shared account for sending and managing envelopes.

You can use shared access through the [Docusign eSignature UI](https://app.docusign.com/) or the [Authorizations resource](/docs/esign-rest-api/reference/accounts/authorizations).

* The UI enables you to use the full range of shared access functionality, including sharing access from one user to another, sending an envelope on behalf of another user, or managing envelopes on behalf of another user. See [Shared access to envelopes](https://support.docusign.com/s/document-item?bundleId=oeq1643226594604\&topicId=rdu1656546423934.html) for details on using this feature through the UI.
* The API enables you to manage shared access permissions between your account users. Future releases may expand upon this functionality to call API endpoints that enable you to match all shared access UI functionality using the API.

## Managing authorizations

You can use the Authorization REST API to create, update, and delete authorizations for your account’s users. An *authorization* is the set of permissions granted to one user (an *agent*) within your account to act on behalf of another (a *principal*). Once an authorization is created, the agent user may then use shared access to send, manage, or sign envelopes on behalf of the principal user, depending on the type of authorization that was granted. All API calls an agent makes must include the header `X-Specific-Header: {AGENT_ACCOUNT_ID}` to authenticate and identify the agent making the request.

**Note**: To create an authorization for a user in your account, you must create the authorization as the principal or be an admin for your account.

There are four types of authorization that a principal user can grant to an agent to act on their behalf:

* **Manage:** Enables the agent to manage envelopes on behalf of the principal user as though they were the principal. Agents with the manage permission cannot send envelopes on behalf of the principal.
* **Send:** Enables the agent to send and manage envelopes on behalf of the principal user.
* **Sign:** Enables the agent to sign envelopes on behalf of the principal user. This is used for the [Delegated signing](https://support.docusign.com/s/document-item?rsc_301=\&bundleId=jux1643235969954\&topicId=bbk1637048103951.html) feature.
* **Edit**: Enables the agent to manage envelopes on behalf of the principal user, just like the manage permission, but also enables the agent to correct, void, and resend envelopes.

When you create or update an authorization in the API, you choose the type of authorization by setting the permission field in the request body to send, manage, edit, or sign.

> **Note**
>
> See [How to share access to an envelope inbox](/docs/esign-rest-api/how-to/shared-access) for a code example demonstrating how to create and manage authorizations.

**Note**: Sending and managing envelopes on behalf of other users has specific Docusign eSignature plan requirements. Contact your account representative for more information.

The following table shows which envelope actions are supported by each permission:

| Envelope Action                     | Send | Edit | Manage | Sign |
| ----------------------------------- | ---- | ---- | ------ | ---- |
| Sign as a delegate                  |      |      |        | X    |
| Send envelope                       | X    |      |        |      |
| Edit draft or save as draft         | X    |      |        |      |
| Correct                             | X    | X    |        |      |
| Void                                | X    | X    |        |      |
| Resend                              | X    | X    |        |      |
| Copy (with field data)              | X    |      |        |      |
| Forward                             | X    |      |        |      |
| Download                            | X    | X    | X      |      |
| View history                        | X    | X    | X      |      |
| Move                                | X    | X    | X      |      |
| Delete                              | X    |      |        |      |
| View form data                      | X    | X    | X      |      |
| Export CSVs                         | X    | X    | X      |      |
| Create custom folders               | X    | X    | X      |      |
| Rename, move, delete custom folders | X    | X    | X      |      |

## Next steps

* See how to [How to share access to an envelope inbox](/docs/esign-rest-api/how-to/shared-access).
* Read the [Authorizations resource](/docs/esign-rest-api/reference/accounts/authorizations) for full details of the API.
* See [Shared access to envelopes](https://support.docusign.com/s/document-item?bundleId=oeq1643226594604\&topicId=rdu1656546423934.html) for details on using this feature through the UI.